data_list
const url = 'https://example.com/api/data';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/data \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all the Data objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Responses
Section titled “Responses”object
Serializer for Data.
object
Retrieve submission-related information linked to the given Data object.
Parameters
obj : Data The Data object for which to fetch submission information.
Returns
list of dict A list of dictionaries, each containing: - submission_id (str): The URL of the external identifier linked to the submission. - plugin_name (str): The human-readable name of the plugin used for the submission. - plugin_logo (str): The logo URL of the plugin.
object
Return the size of the object in octets.
Parameters
obj : Data The object for which to determine the size.
Returns
dict A dictionary containing the size of the object and the unit “octets”.
object
Retrieve external access values for the given object.
Parameters
obj : Data The object used to retrieve external access values based on its external_id attribute.
Returns
list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.
object
Retrieve data access right value for the current user.
Parameters
obj : Data The object used to retrieve access right value.
Returns
dict A list of dictionaries containing the access right and last updated type and last verification time.
object
Retrieve datalink to access the current data.
Parameters
obj : Data The object used to retrieve datalink for.
Returns
list[dict] A list of dictionaries containing the datalinks.
object
Why the enrichment failed, as {code, message}
Celery task ID of the last async enrichment
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2", "results": [ { "status": "active" } ]}
